Page Summary
-
This method uploads a new collection or updates an existing one within your Merchant Center account.
-
Collections are identified by a unique
collectionIdand are entirely replaced during updates. -
The request requires your
merchantIdand the collection data in the request body. -
Successful requests return the updated or newly created collection data.
-
Authorization is necessary using the
https://www.googleapis.com/auth/contentscope.
Uploads a collection to your Merchant Center account. If a collection with the same collectionId already exists, this method updates that entry. In each update, the collection is completely replaced by the fields in the body of the update request.
HTTP request
POST https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/collections
Path parameters
| Parameters | |
|---|---|
merchantId |
Required. The ID of the account that contains the collection. This account cannot be a multi-client account. |
Request body
The request body contains an instance of Collection.
Response body
If successful, the response body contains a newly created instance of Collection.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.